Page MenuHomeFreeBSD

Add SDT probes to the VMX VMexit interface
ClosedPublic

Authored by domagoj.stolfa_gmail.com on Mar 11 2018, 6:21 PM.

Details

Summary

This patch is the first in the series of patches that add a new provider in DTrace called vmm. It is meant to hold all of the bhyve-related kernel probes. In this particular patch, only VMX probes for the VMexit interface were added.

The purpose of these probes is to aid in debugging VMexit-related problems directly in the VMX interface without having to enable KTR (and in turn wait a very long time to get a trace).

Sponsored by: DARPA/AFRL

Diff Detail

Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

Adding Tycho to this.

Should I make any more changes for this to land? As an aside note: I've tried to make the interface as simple as possible to use with the args[0-2] being consistent.

jhb added a subscriber: jhb.Mar 28 2018, 5:46 PM

Seems ok to me.

Is this good to land? Thanks!

grehan accepted this revision.Apr 12 2018, 4:37 PM

I think this should be fine. Can always be tweaked later.

This revision is now accepted and ready to land.Apr 12 2018, 4:37 PM
tychon accepted this revision.Apr 13 2018, 5:20 PM
This revision was automatically updated to reflect the committed changes.